Page tree

Skip to end of metadata
Go to start of metadata

This topic explains how to install the SOAtest plugin into a working copy of Eclipse on a Linux or Mac system. Parasoft Load Test will also be installed during this process.


For details on service pack installation, see Updating SOAtest with a Service Pack.

SOAtest - Virtualize Co-Installation

When Parasoft SOAtest and Parasoft Virtualize are installed on the same machine, SOAtest and Virtualize must have an identical version number. This ensures compatibility between both products. 

If you are updating an existing installation (including updating from a service pack), be sure to update both products at the same time. 

System Requirements

  • At least 1 GB RAM (2 GB is recommended); Load Test might require more for high loads
  • Eclipse 3.5.2 - 4.x  or Rational Application Developer 8.0
  • For Linux:
    • Java 7 or higher
    • GTK+ 2.18 or higher
    • GLib 2.17.6 or higher
    • Pango 1.20 or higher
    • X.Org 1.0 or higher
    • 32-bit or 64-bit (x86_64) processors with at least 2 cores are supported
  • For Mac:
    • Java 8 or higher
    • Mac OS X 10.5 or higher
    • A processor with at least 2 cores

Using the Appropriate System Libraries

The SOAtest/Eclipse application and the system libraries must be for the same architecture. Thus, if you are using a 64-bit Linux but you are running the 32-bit (x86) version of SOAtest, you need the 32-bit version of the above libraries. 

Moreover, to run the 32-bit SOAtest plugin version on x86_64 Linux, you must have a 32-bit JRE (7 or higher) installed. If you were already running Eclipse before attempting to install SOAtest, then you probably already have all of the necessary system libraries installed.

Using GTK+ 2 Libraries

SWT and Eclipse will use the GTK+ 3 libraries by default on all Linux platforms whenever GTK+ 3 is installed and available (including GTK+ 3.10 and above).

If you want to force Eclipse to use GTK+ 2 (e.g., because scrolling in text views causes rendering glitches and/or the rendered views in web-related tools are not compatible with gtk3), then set the environment variable SWT_GTK3 to 0 or use the launcher parameter --launcher.GTK_version flag in the eclipse.ini file, if needed. For example: export SWT_GTK3=0 or --launcher.GTK_version 2

Installation

To install:

  1. If you haven't already done so, move the installation file that you downloaded to the directory where you want to install SOAtest. Typically, this would be a directory different than your Eclipse location so the files can be more easily updated independently in the future.
  2. Change directories to the directory where you are going to install SOAtest.
  3. Set "execute" permissions on the installer:
    • Linux: chmod +x parasoft_soatest_9.x_linux_eclipse_plugin.sh
    • Mac: chmod +x parasoft_soatest_9.x_macosx_eclipse_plugin.sh
  4. Execute the installer, then follow the onscreen instructions to complete the installation.
    • Linux: ./parasoft_soatest_9.x_linux_eclipse_plugin.sh
    • Mac: ./parasoft_soatest_9.x_macosx_eclipse_plugin.sh

 

Note

The SOAtest plugin can be uninstalled by deleting the links directory that was created at the top-level of the Eclipse installation directory.

Startup

To run SOAtest GUI:

  • Change directories to your eclipse directory, then start Eclipse as you normally do (using the Eclipse executable):
    ./eclipse

 

Frozen Workspace Launcher?

On Eclipse 4.5 and Mac OS X 10.11, there is a known issue with the workspace launcher becoming unresponsive when SOAtest starts up. The workaround is to launch Eclipse from the command line with the –nosplash argument.

 

To run SOAtest Command Line:

  • Change directories to the soatest/9.x directory, then enter the following command at the prompt::
    ./soatestecli

For details on using soatestcli, see Testing from the Command Line Interface - soatestcli.

To start Load Test:

  • Change directories to the soatest/9.x directory, then enter the following command at the prompt:
    ./loadtest

You must install a license before you begin using Load Test or SOAtest!

 See Licensing for details on configuring your license.

WTP and Pydev Plugin Installation

WTP and Pydev plugins greatly improve the usability of various text editors and must be installed for SOAtest’s syntax highlighting to work. These plugins can be downloaded and installed from the following locations:

WTP download site:

http://download.eclipse.org/webtools/downloads/

Pydev download site:

http://www.pydev.org/download.html

  • No labels